local game = {}
local room = require('room')
local levels = require('levels')
local text = require('text')
local epilogue = require('epilogue')

game.current_level = 1
local units_lost = 0

function game.init()
end

function game.close()
end

function game.update()
	local push_text = false
	if room.win == true then
		room.win = false
		game.current_level = game.current_level + 1
		units_lost = units_lost + room.units_died

		if levels.texts[game.current_level] ~= nil then
			text.text = levels.texts[game.current_level]
			push_text = true
		end
	end
	if game.current_level > #levels then
		if units_lost == 0 then
			epilogue.text = levels.texts.ending_good
		else
			epilogue.text = levels.texts.ending_bad
		end
		states.replace('epilogue')
	else
		room.level = levels[game.current_level]
		if push_text then
			states.push('text')	
		else
			states.push('room')
		end
	end
	return not key.pressed(key.quit)
end

function game.render(t)
	return true
end

return game
